Package org.apache.sysds.runtime.io

# Class FrameReaderFactory

java.lang.Object
org.apache.sysds.runtime.io.FrameReaderFactory

public class FrameReaderFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`FrameReaderFactory()`

## Method Summary

Modifier and Type
Method
Description
`static FrameReader`
`createFrameReader(Types.FileFormat fmt)`
`static FrameReader`
`createFrameReader(Types.FileFormat fmt, FileFormatProperties props)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameReaderFactory

public FrameReaderFactory()

## Method Details

### createFrameReader

public static FrameReader createFrameReader(Types.FileFormat fmt)

### createFrameReader

public static FrameReader createFrameReader(Types.FileFormat fmt, FileFormatProperties props)